flext_stk::Input Class Reference

STK object for reading from inlet buffer. More...

`#include <flstk.h>`

Inheritance diagram for flext_stk::Input:

## Public Member Functions

| Input (const t_sample *b, int v)
StkFloat | lastOut () const
StkFloat | tick ()
StkFloat * | tick (StkFloat *vector, unsigned int vectorSize)
StkFrames & | tick (StkFrames &vector)
void | SetBuf (const t_sample *b)

## Private Attributes

const t_sample * | buf
int | vecsz
int | index

## Detailed Description

STK object for reading from inlet buffer.

## Constructor & Destructor Documentation

## Input()

flext_stk::Input::Input | ( | const t_sample * | b,
|  | int | v
| ) |  |

inline

## Member Function Documentation

## lastOut()

StkFloat flext_stk::Input::lastOut | ( |  | ) | const

inline

## SetBuf()

void flext_stk::Input::SetBuf | ( | const t_sample * | b | ) |

inline

## tick() [1/3]

StkFloat flext_stk::Input::tick | ( |  | ) |

inline

## tick() [2/3]

StkFloat * flext_stk::Input::tick | ( | StkFloat * | vector,
|  | unsigned int | vectorSize
| ) |  |

## tick() [3/3]

StkFrames& flext_stk::Input::tick | ( | StkFrames & | vector | ) |

inline

## Member Data Documentation

## buf

const t_sample* flext_stk::Input::buf

private

## index

int flext_stk::Input::index

private

## vecsz

int flext_stk::Input::vecsz

private

The documentation for this class was generated from the following files:

- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flstk.h
- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flstk.cpp